Django-fr

Forum

#1 04-03-2017 20:11:12

Rononn
Membre
Inscription : 04-03-2017
Messages : 5

Problème avec l'installation de Django-xadmin

Bonsoir,
J'installe django-xadmin et voici le message que je reçois. Je ne sais pas comment résoudre se problème. Merci pour vos réponses.


Requirement already satisfied: django-xadmin in ./.local/lib/python3.5/site-packages
Requirement already satisfied: django>=1.5 in ./.local/lib/python3.5/site-packages (from django-xadmin)
Requirement already satisfied: setuptools in ./.local/lib/python3.5/site-packages (from django-xadmin)
Requirement already satisfied: django-crispy-forms>=1.4.0 in ./.local/lib/python3.5/site-packages (from django-xadmin)
Requirement already satisfied: six>=1.6.0 in ./.local/lib/python3.5/site-packages (from setuptools->django-xadmin)
Requirement already satisfied: packaging>=16.8 in ./.local/lib/python3.5/site-packages (from setuptools->django-xadmin)
Requirement already satisfied: appdirs>=1.4.0 in ./.local/lib/python3.5/site-packages (from setuptools->django-xadmin)
Requirement already satisfied: pyparsing in ./.local/lib/python3.5/site-packages (from packaging>=16.8->setuptools->django-xadmin)

Hors ligne

#2 06-03-2017 01:17:57

Xavier Ordoquy
Administrateur
Lieu : Puteaux, France
Inscription : 12-10-2011
Messages : 296
Site Web

Re : Problème avec l'installation de Django-xadmin

Il n'y a pas de problèmes, django-xadmin est déjà installé.

Hors ligne

#3 07-03-2017 20:10:37

Rononn
Membre
Inscription : 04-03-2017
Messages : 5

Re : Problème avec l'installation de Django-xadmin

ok merci

Hors ligne

#4 07-03-2017 20:20:10

Rononn
Membre
Inscription : 04-03-2017
Messages : 5

Re : Problème avec l'installation de Django-xadmin

Quand je veux utiliser xadmin ça me donne sa:

Python 3.5.2 (default, Nov 17 2016, 17:05:23)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import xadmin
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/koko/.local/lib/python3.5/site-packages/xadmin/__init__.py", line 1, in <module>
    from xadmin.sites import AdminSite, site
  File "/home/koko/.local/lib/python3.5/site-packages/xadmin/sites.py", line 8, in <module>
    reload(sys)
NameError: name 'reload' is not defined

Hors ligne

#5 10-03-2017 07:57:27

Xavier Ordoquy
Administrateur
Lieu : Puteaux, France
Inscription : 12-10-2011
Messages : 296
Site Web

Re : Problème avec l'installation de Django-xadmin

Il est possible que xadmin ne soit pas compatible avec python 3.5

Hors ligne

#6 15-03-2017 08:57:44

Rononn
Membre
Inscription : 04-03-2017
Messages : 5

Re : Problème avec l'installation de Django-xadmin

d'accord

Hors ligne

Pied de page des forums